Package org.apache.sysds.parser

## Enum Expression.DataOp

- java.lang.Object
- - java.lang.Enum<Expression.DataOp>
  - - org.apache.sysds.parser.Expression.DataOp

All Implemented Interfaces:
  `Serializable`, `Comparable<Expression.DataOp>`

Enclosing class:
  Expression

    public static enum Expression.DataOp
    extends Enum<Expression.DataOp>

Data operators.

### Enum Constant Summary

Enum Constants
`FEDERATED`
`FRAME`
`MATRIX`
`RAND`
`READ`
`SQL`
`TENSOR`
`WRITE`

### Method Summary

All Methods Static Methods Concrete Methods
`static Expression.DataOp` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static Expression.DataOp[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### READ

    public static final Expression.DataOp READ

#### WRITE

    public static final Expression.DataOp WRITE

#### RAND

    public static final Expression.DataOp RAND

#### MATRIX

    public static final Expression.DataOp MATRIX

#### FRAME

    public static final Expression.DataOp FRAME

#### TENSOR

    public static final Expression.DataOp TENSOR

#### SQL

    public static final Expression.DataOp SQL

#### FEDERATED

    public static final Expression.DataOp FEDERATED

### Method Detail

#### values

    public static Expression.DataOp[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Expression.DataOp c : Expression.DataOp.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Expression.DataOp valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null